.wrapper{
border: 1px solid black ;
border-radius: 5px;
background-color: royalblue;
border-bottom: rgb(65, 62, 62) solid 1px;

display: grid;
grid-template-columns: repeat(3, 1fr);
grid-auto-rows: minmax(100px, 150px);
row-gap: 10px;
column-gap: 20px;
}

.cell-1{
    background-color: rgb(161, 107, 248);
    grid-column-start: 1;
    grid-column-end: 4;
    grid-row-start: 1;
    grid-row-end: 3;

    display: grid;
}

.cell-2{
    background-color: rgb(66, 29, 230);
    grid-column-start: 1;
    grid-row-start: 3;
    grid-row-end: 5;
}

.cell-3{
    background-color: rgb(201, 17, 130);
}

.cell-4{
    background-color: rgb(100, 230, 154);
}

.cell-5{
    background-color: rgb(238, 216, 216);
}

.wrapper2 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 100px);
    border: solid 2px black;
    gap: 10px;
  }
  
  .box1 {
    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 1;
    grid-row-end: 4;
    /* Meme chose qu'au dessus 
    grid-column: 1 / 2;
    grid-row: 1 / 4; 
    ou
    grid-area: 1 / 1 / 4 / 2;
    ou
    grid-column: 1;
    grid-row: 1 / span 3;    */
    border: solid black 2px;
    background-color: rgb(86, 88, 83);
 }
 .box2 {
    grid-column-start: 3;
    grid-column-end: 4;
    grid-row-start: 1;
    grid-row-end: 3;
      /* Meme chose qu'au dessus 
    grid-column: 3 / 4;
    grid-row: 1 / 3;
    ou
    grid-area: 1 / 3 / 3 / 4; 
    grid-column: 3;
    grid-row: 1 / span 2;ou
  */
    border: solid rgb(136, 6, 6) 2px;
    background-color: rgb(220, 247, 100);
  }
  .box3 {
    grid-column-start: 2;
    grid-column-end: 3;
    grid-row-start: 1;
    grid-row-end: 2;
      /* Meme chose qu'au dessus 
    grid-column: 2 / 3;
    grid-row: 1 / 2; 
    ou
    grid-area: 1 / 2 / 2 / 3;
    ou
    grid-column: 2;
    grid-row: 1;*/
    border: solid rgb(42, 20, 167) 2px;
    background-color: rgb(47, 55, 160);
  }
  .box4 {
    grid-column-start: 2;
    grid-column-end: 4;
    grid-row-start: 3;
    grid-row-end: 4;
      /* Meme chose qu'au dessus 
    grid-column: 2 / 4;
    grid-row: 3 / 4; 
    ou
    grid-area: 3 / 2 / 4 / 4;
    ou
    grid-column: 2 / span 2;
    grid-row: 3;*/
    border: solid rgb(14, 202, 46) 2px;
    background-color: chartreuse;
  }
  
  .header {
    grid-area: hd;
    border: solid black 2px;
  }
  .footer {
    grid-area: ft;
    border: solid black 2px;
  }
  .content {
    grid-area: main;
    border: solid black 2px;
  }
  .sidebar {
    grid-area: sd;
    border: solid black 2px;
  }

  .wrapper3{
    display: grid;
    border: solid rgb(134, 12, 12) 8px;

    /* grid-template-columns: repeat(9, 1fr);
    grid-auto-rows: minmax(100px, auto);
    grid-template-areas:
      "hd hd hd hd   hd   hd   hd   hd   hd"
      "sd sd sd main main main main main main"
      "sd sd sd ft   ft   ft   ft   ft   ft";

      grid-template-areas:
      "hd hd hd hd   hd   hd   hd   hd   hd"
      "sd sd sd main main main main main main"
      ". . . ft   ft   ft   ft   ft   ft";  */

      grid-auto-rows: minmax(100px, auto);
      grid-template-columns: 1fr;
      grid-template-areas:
        "hd"
        "main"
        "sd"
        "ft";
  }
/* On redéfinit le wrapper avec media !!!!!!! */
  @media (min-width: 500px) {
    .wrapper3 {
      grid-template-columns: repeat(9, 1fr);
      grid-template-areas:
        "hd hd hd hd   hd   hd   hd   hd   hd"
        "sd sd sd main main main main main main"
        "sd sd sd  ft  ft   ft   ft   ft   ft";
    }
  }

  /* @media (min-width: 700px) {
    .wrapper3 {
      grid-template-areas:
        "hd hd hd   hd   hd   hd   hd   hd hd"
        "sd sd main main main main main ft ft";
    } */



    .media {
        border: 2px solid #f76707;
        border-radius: 5px;
        background-color: #fff4e6;
        max-width: 400px;

        display: grid;
        grid-template-columns: 3fr 1fr;
        grid-template-areas: "content img";
        /* Si on veut inverser 
        grid-template-columns: 1fr 3fr;
        grid-template-areas: "img content"; */
        margin-bottom: 1em;
    }
    
    .media .image {
      grid-area: img;
      background-color: #6e6253;
    }
    
    .media .text {
      grid-area: content;
      padding: 10px;
    }
    
  

